Token payroll
Validate Token Only Settlement
Validates that a payroll can be settled token-only via the token-only settlement service.
GEThttps://api.toku.com/stablecoin-payroll/validate-token-only-settlement
Required scope: payroll:read
curl --request GET \
--url 'https://api.toku.com/stablecoin-payroll/validate-token-only-settlement?tokenPayrollId=%3CtokenPayrollId%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"canEnableTokenOnly": true,
"validationErrors": [
"string"
],
"employeeValidations": [
{
"roleInOrgID": "string",
"employeeName": "string",
"hasVerifiedWallets": true,
"missingTokenTypes": [
"string"
],
"verifiedTokenTypes": [
"string"
]
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
tokenPayrollIdstringrequiredAllowed: 1 to 200 characters
Response
200Successful response
canEnableTokenOnlybooleanrequiredvalidationErrorsstring[]requiredemployeeValidationsobject[]requiredShow child attributes
roleInOrgIDstringrequiredemployeeNamestringrequiredhasVerifiedWalletsbooleanrequiredmissingTokenTypesstring[]requiredverifiedTokenTypesstring[]required400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits